Agent fetches current mapping rules + sync schedule
GET
/api/public/v1/agents/{agent_id}/config
Code sample: cURL
curl --request GET \ --url 'https://api.getzutax.com/api/public/v1/agents/a9ce860b-fc65-4784-b7e5-1f3fc311f8ce/config' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” agent_id
required
Agent Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
AgentConfigResponse
Mapping rules + sync schedule for the agent to apply locally.
object
sync_schedule
required
Sync Schedule
string
mappings
required
Mappings
Array<object>
object
key
additional properties
any
Examples
Example Sample response
200 response example
{ "sync_schedule": "string", "mappings": [ {} ]}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
Example Sample response
422 response example
{ "detail": [ { "loc": [], "msg": "string", "type": "string" } ]}